apiVersion: batch/v1
kind: Job
metadata:
  name: ceph-test-read-block
spec:
  template:
    metadata:
      labels:
        name: volume-test-read-block
    spec:
      containers:
        - name: read
          image: docker.io/library/busybox:1.36.1-musl
          command:
            - sh
            - -euc
            - |
              grep -Fq 'rook-ceph-block' /mnt/data/testfile
          volumeMounts:
            - name: test-data
              mountPath: /mnt/data
              readOnly: true
      volumes:
        - name: test-data
          persistentVolumeClaim:
            claimName: ceph-test-data-block
      restartPolicy: Never
